Bug 688340 - fdasd: buffer overflow when writing to read-only device
Summary: fdasd: buffer overflow when writing to read-only device
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: s390utils
Version: 6.1
Hardware: s390x
OS: All
medium
medium
Target Milestone: rc
: ---
Assignee: Dan Horák
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 684385
TreeView+ depends on / blocked
 
Reported: 2011-03-16 20:20 UTC by IBM Bug Proxy
Modified: 2011-11-02 07:00 UTC (History)
5 users (show)

Fixed In Version: s390utils-1.8.2-33.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:33:05 UTC


Attachments (Terms of Use)
s390-tools-rhel6-fdasd-buffer-overflow-in-error-message.patch (1.80 KB, text/plain)
2011-03-16 20:20 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0601 normal SHIPPED_LIVE s390utils bug fix and enhancement update 2011-05-19 09:37:30 UTC
IBM Linux Technology Center 70705 None None None Never

Description IBM Bug Proxy 2011-03-16 20:20:46 UTC
s390-tools-rhel6-fdasd-buffer-overflow-in-error-message.patch

Description: fdasd: buffer overflow when writing to read-only device
Symptom:     When fdasd tries to write to a read-only disk, it fails with
             a '*** buffer overflow detected ***' error message.
Problem:     It is expected that fdasd cannot write to a read-only disk, and
             such an operation should end with a proper error message. The
             libvtoc code, which writes this message, contains the bug that
             causes the buffer overflow.
Solution:    Directly print the error message, without formatting it first in
             a buffer.

The patch has been tested, fixes the problem, and will be included in the next
upstream release of the s390-tools.

With best regards,
     Hendrik

Comment 1 IBM Bug Proxy 2011-03-16 20:20:51 UTC
Created attachment 485828 [details]
s390-tools-rhel6-fdasd-buffer-overflow-in-error-message.patch

Comment 6 Chris Ward 2011-04-06 11:08:39 UTC
~~ Partners and Customers ~~

This bug was included in RHEL 6.1 Beta. Please confirm the status of this request as soon as possible.

If you're having problems accessing 6.1 bits, are delayed in your test execution or find in testing that the request was not addressed adequately, please let us know.

Thanks!

Comment 8 IBM Bug Proxy 2011-04-25 09:20:50 UTC
------- Comment From sachinp@in.ibm.com 2011-04-25 05:19 EDT-------
Tested with snap4 and can confirm fdasd works as expected. Closing this bug.

Comment 9 errata-xmlrpc 2011-05-19 13:33:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0601.html


Note You need to log in before you can comment on or make changes to this bug.